Bug 692644 - config editor not allowing me to save changes to agent plugin config
config editor not allowing me to save changes to agent plugin config
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4 config/individual-config
  Show dependency treegraph
 
Reported: 2011-03-31 15:00 EDT by John Mazzitelli
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-03-31 15:00:26 EDT
try to enable events in an agent resource:

1) import an agent into inventory
2) go to the agent's connections settings subtab
3) click the pencil icon to edit the "agent.log" list-o-map entry
4) click the "debug" radio option in the severity property
5) click the "yes" radio option to set the enable property

at this point, notice the click on "yes" didn't take effect (yes option isn't selected) and the severity radio options greyed out (disabled)

6) click the "yes" radio option again, this time it takes
7) click the "OK" button to save

boom. you get a global uncaught exception, and the modal dialog stays put. no way to save.

At this point, I can't seem to get this to save even if I try to just select "yes" without messing with the severity radio options. no way to enable events now.
Comment 1 Ian Springer 2011-04-01 16:41:36 EDT
This was two separate bugs which should be fixed by commits 4efc5ad and 2428044.
Comment 2 Sunil Kondkar 2011-04-25 07:02:11 EDT
Verified on build#1175(Version: 4.0.0-SNAPSHOT Build Number: a90faf9)

Navigated to agent's connections settings sub tab. Edited the 'agent.log' list-o-map entry. selected the "debug" radio option in 'Minimum Severity' property. clicked 'Yes' radio options. The 'Yes' radio button got selected and the severity radio options are not greyed out.

Clicking OK button did not give any exception and clicking 'Save' button saves the connection settings.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:13:18 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:13:18 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:13:19 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.